> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-terrain-50/os-terrain-50-technical-specification/vector-tiles.md).

# Vector tiles

OS Terrain 50 contour layers are supplied as a national vector tiles set in a single MBTiles file. This is a lightweight set of tiles that are efficient and fast to render in your software, provide high-resolution data, and which give a seamless experience when zooming in and out. The data is supplied in Web Mercator projection (ESPG:3857).

For guidance on using the product in vector tiles format, please see the [Getting Started with Vector Tiles guide](/os-downloads/resources/product-resources/getting-started-with-geopackage-and-vector-tiles-guides/getting-started-with-vector-tiles.md).

## Data schema <a href="#bookmark28" id="bookmark28"></a>

The vector tiles schema is detailed in the following table. In the *Zoom levels* columns within the table, the letter *N* indicates that the specified layer and attribute are not mapped within that zoom level, whereas the letter *Y* indicates that the specified layer and attribute are mapped within that zoom level.

### contour\_line

<table data-full-width="true"><thead><tr><th width="192">Attribute</th><th width="175">Zoom level: 0 to 8</th><th>9</th><th>10</th><th>11</th><th>12</th><th>13</th><th>14</th></tr></thead><tbody><tr><td>id</td><td>N</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td></tr><tr><td>property_value</td><td>N</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td></tr><tr><td>contour_line_type</td><td>N</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td></tr></tbody></table>

### spot\_height

<table data-full-width="true"><thead><tr><th width="194">Attribute</th><th width="168">Zoom level: 0 to 8</th><th>9</th><th>10</th><th>11</th><th>12</th><th>13</th><th>14</th></tr></thead><tbody><tr><td>id</td><td>N</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td></tr><tr><td>property_value</td><td>N</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td></tr><tr><td>spot_height_type</td><td>N</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td></tr></tbody></table>

### land\_water\_boundary

<table data-full-width="true"><thead><tr><th width="223">Attribute</th><th width="172">Zoom level: 0 to 8</th><th>9</th><th>10</th><th>11</th><th>12</th><th>13</th><th>14</th></tr></thead><tbody><tr><td>id</td><td>N</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td></tr><tr><td>property_value</td><td>N</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td></tr><tr><td>water_level_category</td><td>N</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td><td>Y</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-terrain-50/os-terrain-50-technical-specification/vector-tiles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
